Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#63483 - [qemu] upstream switched from libssh2 to libssh

Attached to Project: Arch Linux
Opened by Toolybird (Toolybird) - Friday, 16 August 2019, 22:29 GMT
Last edited by Anatol Pomozov (anatolik) - Saturday, 18 January 2020, 20:45 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Tobias Powalowski (tpowa)
Anatol Pomozov (anatolik)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

qemu now needs to depend on libssh due this upstream change:

https://git.qemu.org/?p=qemu.git;a=commit;h=b10d49d7619e4957b4b971f816661b57e5061d71

Without libssh, qemu block driver cannot access remote disk images over ssh:

https://qemu.weilnetz.de/doc/qemu-doc.html#disk_005fimages_005fssh

Previously, qemu picked up libssh2 dep courtesy of curl being in base.

qemu-4.1.0
This task depends upon

Closed by  Anatol Pomozov (anatolik)
Saturday, 18 January 2020, 20:45 GMT
Reason for closing:  Fixed
Additional comments about closing:  r373685
Comment by Anatol Pomozov (anatolik) - Saturday, 18 January 2020, 20:45 GMT
Thank you for the report. The dependency added in SVN r373685 and the feature will be available in the next package build.

Loading...